Subject: RE: Setup Failed to Create /home directory
From: "David Hawkins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 12 Nov 2001 17:37:55 -0800

I noticed that when HOME is setup as an environment
variable, that /home/<user> does not get setup.

Try echo $HOME from Cygwin Bash and see what happens.
I found that when you remove the HOME environment vairable
(as defined with Windows), then /home/<user> is created.

I'm not to sure of the reasons for this observed 
functionality, but hey, here's something to try
anyway. I'm sure others will reply with more
wisdom.

Dave

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Monday, November 12, 2001 5:06 PM
> To: [email-masked]
> Subject: Setup Failed to Create /home directory
> 
> 
> 2001/11/09 09:11:06 Starting cygwin install, version 2.78.2.15
>  
> I ran into a problem with my terminal (similar to :"WARNING: terminal 
> is not fully functional" and pro blems with vi" mail archive) so I 
> uninstalled and reinstalled cygwin. After the reinstall I still had 
> the problem described above, plus I didn't have a home directory or a 
> user directory (I'm sure the previous install created these for me). 
> Also, when I start cygwin from the shortcut (I'm on NT4) I end up in 
> the /cygdrive/c directory instead of somewhere down in 
> /cygdrive/c/cygwin... (where ... should be /home/meierd).
> 
> I've reviewed my setup.log and setup.log.full but everything 
> looks normal there, no errors reported, but no log messages 
> indicating directories being created either).
>  
>  I've partially solved the terminal problem (unset TERMINFO; 
> export TERM=cygwin) although I've got to fix it everytime I 
> launch a new cygwin window. I want to add the fix to my .profile 
> but I don't even have a user directory.
> 
> I've seen some posts that indicate I may need to do 'adduser' or 
> 'useradd' or some such?
>  
>  Is there another solution to the terminal problem (like fixing 
> the root cause for why it went sour)?
> 
> My cygwin.bat file contains:
> @echo off
>  
> C:
> chdir \cygwin\bin
> 
> bash --login -i
>  
> Any help?
> Thanks.
> Dan
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/